> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aptlydone.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get current user roles



## OpenAPI

````yaml get /v1/user/roles
openapi: 3.0.0
info:
  title: Auth APIs Specification
  description: Section for description
  version: '1.0'
  contact: {}
servers:
  - url: https://staging.api.us.aptlydone.com/auth
  - url: https://staging.api.eu.aptlydone.com/auth
  - url: https://api.us.aptlydone.com/auth
  - url: https://api.eu.aptlydone.com/auth
security: []
tags: []
paths:
  /v1/user/roles:
    get:
      tags:
        - users
      summary: Get current user roles
      operationId: UserController_getUserRoles_v1
      parameters: []
      responses:
        '200':
          description: User roles retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserRoleResponseDtoArrayResponse'
      security:
        - accessToken: []
components:
  schemas:
    UserRoleResponseDtoArrayResponse:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP Status code
          example: 200
        timestamp:
          type: string
          description: Timestamp of the response
          example: '2026-01-12T09:10:12.337Z'
        message:
          type: string
          description: Response message
          example: Success
        data:
          description: Response data
          type: array
          items:
            $ref: '#/components/schemas/UserRoleResponseDto'
      required:
        - statusCode
        - timestamp
        - message
        - data
    UserRoleResponseDto:
      type: object
      properties:
        id:
          type: string
          example: 320bf21d-7b31-4b31-93ef-1a2e9f93f8a9
          description: Unique identifier of the user role
        tenantId:
          type: string
          example: 8fcca66f-5b95-4f54-a8fd-b1c27dd092ef
          description: Unique identifier of the tenant
        tenantRoleId:
          type: string
          example: 9c9bd186-23f1-4f5f-877f-b25aad685652
          description: Tenant role ID
        roleName:
          type: string
          example: pine begonia
          description: Name of the tenant role
        autoProvisioned:
          type: boolean
          example: false
          description: Whether the user role was auto-provisioned
          default: false
        instanceId:
          type: string
          nullable: true
          example: 5863ab84-7099-4ac2-8b48-f24f1b21b4a3
          description: Prismatic instance ID for auto-provisioned roles
        createdOn:
          format: date-time
          type: string
          example: '2026-01-11T22:33:40.204Z'
          description: Creation timestamp
        deletedOn:
          format: date-time
          type: string
          nullable: true
          example: '2025-05-31T10:27:33.998Z'
          description: Deletion timestamp
        updatedOn:
          format: date-time
          type: string
          example: '2026-01-12T03:25:36.185Z'
          description: Last update timestamp
      required:
        - id
        - tenantId
        - tenantRoleId
        - roleName
        - autoProvisioned
        - instanceId
        - createdOn
        - deletedOn
        - updatedOn
  securitySchemes:
    accessToken:
      scheme: bearer
      bearerFormat: JWT
      type: http

````